#include <conio.h>

void main() {

	int key;

// Ожидаем нажатия на любую клавишу.
// Во время ожидания выводим на экран поочередно
// символы "<" и ">"

	while(!kbhit()) printf("<\b>\b");

// Как только будет нажата какая-нибудь клавиша,
// выводим ее ASCII-код

		  key = getch();

// Если прочитанный символ равен 0, вызываем функцию getch()
// для получения расширенного ASCII-кода нажатой клавиши

		  if( (key == 0) || (key == 0xe0) ) {
				key = getch();
				printf( "Расширенный ASCII-код:\t" );
		  }

		  else printf( "ASCII-код:\t");

		  printf("%d\n",key);
}
